//
//  ProductListPageWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/21/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

final class ProductListPageWireframe: BaseWireframe {

    // MARK: - Private properties -

    private let storyboard = UIStoryboard(name: "ProductListPage", bundle: nil)

    // MARK: - Module setup -

    init() {
        let moduleViewController = storyboard.instantiateViewController(ofType: ProductListPageViewController.self)
        super.init(viewController: moduleViewController)

        let interactor = ProductListPageInteractor()
        let presenter = ProductListPagePresenter(view: moduleViewController, interactor: interactor, wireframe: self)
        moduleViewController.presenter = presenter
    }

}

// MARK: - Extensions -

extension ProductListPageWireframe: ProductListPageWireframeInterface {
}
